Package com.pixelmed.apps

# Class MergeConcatenationInstances

java.lang.Object
com.pixelmed.apps.MergeConcatenationInstances

public class MergeConcatenationInstances extends Object

A class containing an application for merging instances of a concatenation to (re-)create the source instance.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`MergeConcatenationInstances.OurMediaImporter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ourAETitle`

## Constructor Summary

Constructors
Constructor
Description
`MergeConcatenationInstances(String[] srcs, String dstFolderName, MessageLogger logger)`
Merge instances of a concatenation to (re-)create the source instance.

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Merge instances of a concatenation to (re-)create the source instance.
`protected void`
`mergeConcatenationInstances(AttributeList newList, String mediaFileName)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ourAETitle

protected String ourAETitle

## Constructor Details

### MergeConcatenationInstances

public MergeConcatenationInstances(String[] srcs, String dstFolderName, MessageLogger logger) throws IOException, DicomException

Merge instances of a concatenation to (re-)create the source instance.

Parameters:
  `srcs` - source folders or DICOMDIRs
  `dstFolderName` - destination folder
  `logger` - logger to send progress, warnings and errors
Throws:
  `IOException` - if there is a problem reading or writing
  `DicomException` - if there is a problem parsing or extracting required content

## Method Details

### mergeConcatenationInstances

protected void mergeConcatenationInstances(AttributeList newList, String mediaFileName) throws DicomException

Throws:
  `DicomException`

### main

public static void main(String[] arg)

Merge instances of a concatenation to (re-)create the source instance.

Parameters:
  `arg` - array of 2 or more strings - one or more source folders or DICOMDIR (to merge), and a destination folder